> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/47.-poizvedba-pridobi-zonesmaps.md).

# 47. Poizvedba: pridobi "ZonesMaps"

Poizvedba za pridobitev uporabniških "ZonesMaps". Za izvedbo logike razdeljenega prikaza (paginacije) uporabite parameter poizvedbe `velikostStrani`. Filter deluje kot pogoj AND, npr. mogoče filtrirati po `farmUuid`, `fieldUuid`, `vectorAnalysisMapUuid`, `oznake`, `namen`, `vrsta`, in `sSamimiStopnjami` v eni poizvedbi ali uporabiti samo en pogoj filtra ali ne uporabiti nobenega pogoja.&#x20;

Omejitve: filtriranje po `namen`, `vrsta`, in `sSamimiStopnjami` deluje le v povezavi z `fieldUuid`. Iskanje zemljevidov con je dovoljeno po `vectorAnalysisMapUuid` en sam atribut.&#x20;

Obstaja `zadnjiOcenjeniKljuč` in `skupnoŠtevilo`  v odgovoru. `zadnjiOcenjeniKljuč` se nanaša na zadnji obdelani zapis, ki ustreza pogojem filtra. `skupnoŠtevilo` - je skupno število zapisov, ki ustrezajo pogojem filtriranja.

## &#x20;Predloga

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba FilterZonesMapsSample {
  getZonesMaps(
    filter: {
      velikostStrani: 10
      fieldUuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
      namen: SEJANJE
      tip: SATELIT
      oznake: ["id=polje"]
      sSamimiStopnjami: true
      uuidVektorskeAnalizeZemljevida: "<placeholder_of_vectoranalysismap_uuid>"
    }
) {
    zonesMaps {
      uuid
      ime
      zonesMapGeojson(enota: ACRI)
      zonesMapUrl
    }
    skupnoŠtevilo
    zadnjiOcenjeniKljuč {
      PartitionKey
      SortKey
      TagString
    }
  }
}
```

{% endcode %}

## Zahtevaj

```graphql
poizvedba FilterZonesMapsSample {
  getZonesMaps(
    filter: {
      velikostStrani: 3
      uuidPolja: "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
      namen: SPLOŠNO
    }
) {
    zonesMaps {
      uuid
      ime
      zonesMapUrl
    }
    zadnjiOcenjeniKljuč {
      PartitionKey
      SortKey
      TagString
    }
  }
}
```

## Odgovor

### Metapodatki

Odgovor vsebuje spodnji JSON.&#x20;

```json
{
  "data": {
    "getZonesMaps": {
      "zonesMaps": [
        {
          "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
          "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee"
        },
        {
          "uuid": "ec8cd4db-efe9-40a3-b616-7169bcde9be9",
          "ime": "7 Years 2016-2023",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ec8cd4db-efe9-40a3-b616-7169bcde9be9"
        },
        {
          "uuid": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
          "ime": "VR Seeding",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=multilayers_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:eb4ddd50-ff38-4467-b8e0-cce26be699c8"
        }
      ],
      "lastEvaluatedKey": {
        "PartitionKey": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
        "SortKey": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
        "TagString": null
      }
    }
  }
}
```

### Statistika in geometrije con

Podrobnosti o statistiki in geometrijah con so v `zonesMapUrl` .&#x20;

Vzorčni podatki statistike iz `properties` so spodaj.

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "VALUE",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/47.-poizvedba-pridobi-zonesmaps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
